// Añadir.aspx.cs created with MonoDevelop
//

using System;
using System.Web;
using System.Web.UI;
using System.IO;

namespace ClienteWebFotos
{
	public partial class Agregar : System.Web.UI.Page
	{
	  protected void btAgregar_Click(object sender, EventArgs e)
	  {
	    if (FormularioCorrecto())
	    {
 	      // Guardamos la información en la base de datos
				string sFoto = fuFichero.FileName;
        int nBytes = (int)fuFichero.PostedFile.InputStream.Length;
				byte[] bImg = new byte[nBytes];
				fuFichero.PostedFile.InputStream.Read(bImg, 0, nBytes);
				
	      string sNombre = ctNombre.Text;
	      string sAutor = ctAutor.Text;
	      string sDescripcion = ctDescripcion.Text;
	      if (ctDescripcion.Text.Length == 0)
	        sDescripcion = "-- Sin Descripción --";

				rServWebFotos.ServWebFotos servicio = new rServWebFotos.ServWebFotos();
        try
        {
				  servicio.AgregarFoto(sFoto, sNombre, sAutor, sDescripcion, bImg);
					etMsjFichero.Text = "Archivo subido con éxito!!!";
					Response.Redirect("Mostrar.aspx");
        }
        catch (Exception ex)
				{
					etMsjFichero.Text = "Problemas al subir el archivo.";
				}
	    }
	  }

	  protected bool FormularioCorrecto()
	  {
	    bool bArchivoCorrecto = true;
	    bool bNombreCorrecto = true;
	    bool bAutorCorrecto = true;

	    // Volvemos a dejar en blanco los comentarios
	    etErrNombre.Text = "";
	    etErrAutor.Text = "";
	    etMsjFichero.Text = "";

	    // Comprobamos el formulario
	    if (fuFichero.FileName.Length == 0)
	    {
	      etMsjFichero.Text = "* Error: seleccione un archivo!!";
	      bArchivoCorrecto = false;
	    }
	    if (ctAutor.Text.Length == 0)
	    {
	      etErrAutor.Text = "* Error: debe introducir un autor";
	      bAutorCorrecto = false;
	    }
	    if (ctNombre.Text.Length == 0)
	    {
	      etErrNombre.Text = "* Error: debe introducir un nombre";
	      bNombreCorrecto = false;
	    }

	    return (bArchivoCorrecto && bNombreCorrecto && bAutorCorrecto);
	  }
	}
}
