<%@ Page Language="C#" Inherits="FormWebNotas.Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head runat="server">
    <title>Formulario Web Notas</title>
</head>
<body>
  <form id="form1" runat="server">
    <div>
      <asp:SqlDataSource ID="FuenteDeDatosSql" runat="server"
        ProviderName="<%$ ConnectionStrings:cc_notas_alumnos.providerName %>"
        ConnectionString="<%$ ConnectionStrings:cc_notas_alumnos %>"
        SelectCommand="SELECT id_asignatura, nombre FROM asignaturas" DataSourceMode="DataReader">
      </asp:SqlDataSource>
      <asp:Label ID="Label1" runat="server" Text="DNI:"
        Style="z-index: 100; top: 68px; left: 160px;
        position: absolute">
      </asp:Label>
      <asp:TextBox ID="ctDni" runat="server" Width="293px"
        Style="z-index: 101; top: 68px; left: 210px;
        position: absolute">
      </asp:TextBox>
      <asp:DropDownList ID="lsdAsignatura" runat="server"
        Style="z-index: 102; top: 104px; left: 210px;
        position: absolute" Width="300px"
        DataSourceID="FuenteDeDatosSql"
        DataTextField="nombre" DataValueField="id_asignatura">
      </asp:DropDownList>
      <asp:Button ID="btConsultarNota" runat="server"
        Style="z-index: 103; top: 140px; left: 210px;
        position: absolute" Text="Consultar nota" Width="300px" />

      <asp:RequiredFieldValidator ID="cvDni" runat="server"
        Style="z-index: 107; top: 71px; left: 520px; position: absolute"
        ControlToValidate="ctDni" ErrorMessage="DNI requerido">*
      </asp:RequiredFieldValidator>
      <asp:RangeValidator ID="cvDniRango" runat="server"
        Style="z-index: 108; top: 71px; left: 530px; position: absolute"
        ControlToValidate="ctDni" ErrorMessage="Valor fuera de rango"
        MaximumValue="99999999" MinimumValue="999999"
        Type="Integer">*
      </asp:RangeValidator>
      <asp:ValidationSummary ID="cvMensajes" runat="server"
        Style="z-index: 110; top: 66px; left: 550px; position: absolute"
        Width="161px" />

      <asp:SqlDataSource ID="FuenteDeDatosSql2" runat="server"
        ProviderName="<%$ ConnectionStrings:cc_notas_alumnos.providerName %>"
        ConnectionString="<%$ ConnectionStrings:cc_notas_alumnos %>"
        SelectCommand="SELECT alumnos.nombre, alums_asigs.nota FROM alumnos
                       INNER JOIN alums_asigs ON alumnos.id_alumno = alums_asigs.id_alumno
                       INNER JOIN asignaturas ON alums_asigs.id_asignatura = asignaturas.id_asignatura
                       WHERE (alumnos.id_alumno = @id_alumno) AND (asignaturas.id_asignatura = @id_asignatura)">
        <SelectParameters>
          <asp:ControlParameter ControlID="ctDni" Name="id_alumno" PropertyName="Text" />
            <asp:ControlParameter ControlID="lsdAsignatura" Name="id_asignatura" PropertyName="SelectedValue" />
        </SelectParameters>
      </asp:SqlDataSource>
      <asp:DetailsView ID="DetailsView1" runat="server"
        Style="z-index: 111; top: 176px; left: 160px; position: absolute"
        Height="50px" Width="349px"
        AutoGenerateRows="False" DataSourceID="FuenteDeDatosSql2">
        <Fields>
          <asp:BoundField DataField="nombre" HeaderText="Nombre" />
          <asp:BoundField DataField="nota" HeaderText="Nota" />
        </Fields>
      </asp:DetailsView>
    </div>
  </form>
</body>
</html>
