CREATE DATABASE notas_alumnos
----------------------------------------------

CREATE TABLE asignaturas
(
  id_asignatura integer primary key,
  nombre varchar(60) not null
);

INSERT INTO asignaturas
       VALUES (20590, 'PROGRAMACION AVANZADA');
INSERT INTO asignaturas
       VALUES (20591, 'LAB. DE PROGRAMACION AVANZADA');
INSERT INTO asignaturas
       VALUES (30214, 'FUNDAMENTOS DE PROGRAMACION');
INSERT INTO asignaturas
       VALUES (30215, 'LAB. DE FUNDAMENTOS DE PROGRAMACION');
INSERT INTO asignaturas
       VALUES (31937, 'PROGRAMACION');
INSERT INTO asignaturas
       VALUES (31970, 'FUNDAMENTOS DE PROGRAMACION');
INSERT INTO asignaturas
       VALUES (32346, 'PROGRAMACION AVANZADA (OPTATIVA)');
INSERT INTO asignaturas
       VALUES (33693, 'PROGRAMACION VISUAL');

CREATE TABLE alumnos
(
  id_alumno integer primary key,
  nombre varchar(50) not null
);

INSERT INTO alumnos
       VALUES (1234567, 'Leticia Aguirre Soriano');
INSERT INTO alumnos
       VALUES (1234568, 'Antonio Baena Sarasola');
INSERT INTO alumnos
       VALUES (1234569, 'Rosa Estrada Rios');

CREATE TABLE alums_asigs
(
  id_alumno integer,
  id_asignatura integer,
  nota real
);

INSERT INTO alums_asigs
       VALUES (1234567, 20590, 2.5);
INSERT INTO alums_asigs
       VALUES (1234567, 20591, 3.5);
INSERT INTO alums_asigs
       VALUES (1234567, 30214, 4.5);
INSERT INTO alums_asigs
       VALUES (1234567, 30215, 5.5);
INSERT INTO alums_asigs
       VALUES (1234567, 31937, 6.5);
INSERT INTO alums_asigs
       VALUES (1234567, 31970, 7.5);
INSERT INTO alums_asigs
       VALUES (1234567, 32346, 8.5);
INSERT INTO alums_asigs
       VALUES (1234567, 33693, 9.5);
INSERT INTO alums_asigs
       VALUES (1234568, 20590, 2.5);
INSERT INTO alums_asigs
       VALUES (1234568, 20591, 3.5);
INSERT INTO alums_asigs
       VALUES (1234568, 30214, 4.5);
INSERT INTO alums_asigs
       VALUES (1234568, 30215, 5.5);
INSERT INTO alums_asigs
       VALUES (1234568, 31937, 6.5);
INSERT INTO alums_asigs
       VALUES (1234568, 31970, 7.5);
INSERT INTO alums_asigs
       VALUES (1234568, 32346, 8.5);
INSERT INTO alums_asigs
       VALUES (1234568, 33693, 9.5);
INSERT INTO alums_asigs
       VALUES (1234569, 20590, 2.5);
INSERT INTO alums_asigs
       VALUES (1234569, 20591, 3.5);
INSERT INTO alums_asigs
       VALUES (1234569, 30214, 4.5);
INSERT INTO alums_asigs
       VALUES (1234569, 30215, 5.5);
INSERT INTO alums_asigs
       VALUES (1234569, 31937, 6.5);
INSERT INTO alums_asigs
       VALUES (1234569, 31970, 7.5);
INSERT INTO alums_asigs
       VALUES (1234569, 32346, 8.5);
INSERT INTO alums_asigs
       VALUES (1234569, 33693, 9.5);

