// ServWebNotas.asmx.cs created with MonoDevelop
// User: ceballos
//
// To change standard headers go to Edit->Preferences->Coding->Standard Headers
//

using System;
using System.Web;
using System.Web.Services;
using Npgsql;
using System.Data;
using System.Configuration;

namespace ServicioWebNotas
{
  [WebService(Namespace = "http://www.fjceballos.es/ServiciosWeb/",
              Description = "Notas alumnos")]
	public class ServWebNotas : System.Web.Services.WebService
	{
    [WebMethod(Description = "Obtener los ID y los nombres de las asignaturas")]
    public DataSet ObtenerAsignaturas()
    {
      // Cadena de conexión (véase Web.Config)
      string sConexion = 
          ConfigurationManager.ConnectionStrings["cc_notas_alumnos"].ConnectionString;
      // Conexión
      NpgsqlConnection ConexionBdNotas = new NpgsqlConnection(sConexion);
      // Sentencia SELECT
      NpgsqlCommand OrdenSqlSelect =
        new NpgsqlCommand("SELECT id_asignatura, nombre FROM asignaturas", ConexionBdNotas);
      // Adaptador
      NpgsqlDataAdapter NpgsqlDaAsignaturas = new NpgsqlDataAdapter();
      NpgsqlDaAsignaturas.SelectCommand = OrdenSqlSelect;

      // Crear un conjunto de datos
      DataSet ds = new DataSet();
      NpgsqlDaAsignaturas.Fill(ds, "asignaturas");
      return ds;
    }

    [WebMethod(Description = "Obtener el nombre y la nota del alumno especificado")]
    public DataSet ObtenerNota(int id_alum, int id_asig)
    {
      // Cadena de conexión (véase Web.Config)
      string sConexion = 
          ConfigurationManager.ConnectionStrings["cc_notas_alumnos"].ConnectionString;
      // Conexión
      NpgsqlConnection ConexionBdNotas = new NpgsqlConnection(sConexion);
      // Sentencia SELECT
      string Consulta = "SELECT alumnos.nombre, alums_asigs.nota " +
       "FROM alumnos, asignaturas, alums_asigs " +
       "WHERE alumnos.id_alumno=" + id_alum +
       " AND asignaturas.id_asignatura=" + id_asig +
       " AND alumnos.id_alumno=alums_asigs.id_alumno" +
       " AND asignaturas.id_asignatura=alums_asigs.id_asignatura";
      NpgsqlCommand OrdenSqlSelect =
        new NpgsqlCommand(Consulta, ConexionBdNotas);
      // Adaptador
      NpgsqlDataAdapter NpgsqlDaNota = new NpgsqlDataAdapter();
      NpgsqlDaNota.SelectCommand = OrdenSqlSelect;

      // Crear un conjunto de datos
      DataSet ds = new DataSet();
      NpgsqlDaNota.Fill(ds, "notas");
      return ds;
    }
	}
}
