using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.Collections.Generic;

namespace ClienteDeEscritorioFotos
{
  public partial class Eliminar : Form
  {
    public Eliminar()
    {
      InitializeComponent();
      lbFotos.DisplayMember = "Key"; // propiedad para mostrar por la lista
      lbFotos.ValueMember = "Value"; // propiedad para el valor del elemento de la lista

      CargarDatos(); // cargar los datos en la lista
    }

    private void CargarDatos()
    {
      // Obtener los datos nombre y foto de la base de datos
      // y agregarlos a la lista
      lbFotos.Items.Clear(); // limpiar la lista

      // Por ejemplo, aadimos un elemento a la lista:
      lbFotos.Items.Add(new KeyValuePair<string, string>("nombre de la foto", "ruta de la foto"));
    }

    protected void bBorrar_Click(object sender, EventArgs e)
    {
      if (this.lbFotos.SelectedIndex != -1)
      {
        string sFoto = ((KeyValuePair<string, string>)this.lbFotos.SelectedItem).Value;
        string sMensaje = string.Empty; // mensaje de retorno

        // Invocar al mtodo del servicio Web que permite borrar
        // de la base de datos la foto seleccionada
        // servicio.EliminarFoto(sFoto)
        MessageBox.Show("La foto \"" + sFoto + "\" ha sido borrada a la base de datos");

        // Borrar la foto de la lista
        lbFotos.Items.Remove(lbFotos.SelectedItem);
        this.Close();
      }
    }
  }
}
