// Eliminar.aspx.cs created with MonoDevelop
//

using System;
using System.Web;
using System.Web.UI;
using System.IO;
using Npgsql;
using System.Configuration;

namespace ClienteWebFotos
{
	public partial class Eliminar : System.Web.UI.Page
	{
	  protected void btEliminar_Click(object sender, EventArgs e)
    {
		  // Ruta del sitio web
		  string sRutaSitioWeb = Server.MapPath("/");
		  // Borramos la imagen
		  File.Delete(sRutaSitioWeb + lsNombres.SelectedValue);

		  // Borramos los datos de la base de datos
		  Eliminar_Foto(lsNombres.SelectedValue);

		  Response.Redirect("Mostrar.aspx");
		}
     
    public void Eliminar_Foto(string foto)
    {
      // Cadena de conexión (véase Web.Config)
      string sConexion = 
          ConfigurationManager.ConnectionStrings["cc_fotos"].ConnectionString;
      // Borrar el registro correspondiente a "foto" de la BD
      NpgsqlConnection Conexion = new NpgsqlConnection(sConexion);

      string sOrdenSQL = "delete from album where foto = :foto";

      NpgsqlCommand OrdenSQL = new NpgsqlCommand(sOrdenSQL, Conexion);
      OrdenSQL.Parameters.Add(new NpgsqlParameter("foto",
        NpgsqlTypes.NpgsqlDbType.Varchar, 30));
      OrdenSQL.Parameters["foto"].Value = foto;

      OrdenSQL.Connection.Open();
      OrdenSQL.ExecuteNonQuery();
      OrdenSQL.Connection.Close();
    }
	}
}
